import React, { useState, useEffect } from 'react';
import { PageHeaderWrapper } from '@ant-design/pro-layout';
import { Form, Input, Button, Icon, Select, message, Table, Divider, Tag, Pagination, Modal, Breadcrumb } from 'antd';
import router from 'umi/router';
import moment from 'moment';
import styles from './style.less';
import { fetch, apis } from '../../../utils/request';
import request from '../../../utils/request';
import AuthButton from '@/components/AuthButton';

function header(props) {
    
    const [taNoticeList, setTaNoticeList] = useState([])
    const [ data, setData ] = useState({})

    useEffect(() => {
        getList({ pageNum: 1, pageSize: 10 });
    }, [])
    // 查询列表

    const getList = params => {
       
    }

    const toEditResource = (id) => () => {
        if(id){
        router.push({
            pathname: '/resource/openScreen/edit',
              query: {
                id
              },
        });
    }else{
            router.push({
                pathname: '/resource/openScreen/add',
                  query: {
                    id
                  },
            });
        }
    }

    const handleSubmit = (e, props) => {
        e.preventDefault();
        getList({ pageNum: 1, pageSize: 10, ...props.form.getFieldsValue() });
    }

    function handleReset() {
        props.form.resetFields();
        getList({ pageNum: 1, pageSize: 10 });
    }

    const toDelBatch = rowData => () => {
        console.log(taNoticeList, 'taNoticeList')
        if (taNoticeList.length < 1) {
            message.error('请至少选择一条数据')
            return
        }

        Modal.confirm({
            title: '确认将所选数据删除？',
            okText: '确定',
            cancelText: '取消',
            onOk() {
              
            },
        });
    }

    const changePageNum = pageNumber => {
        getList({ pageNum: pageNumber, pageSize: 10, ...props.form.getFieldsValue() })
    }

     
    const { getFieldDecorator } = props.form

    const rowSelection = {
        onChange: (selectedRowKeys, selectedRows) => {
          console.log('selectedRowKeys:', selectedRowKeys, 'selectedRows: ', selectedRows);
          setTaNoticeList(selectedRows)
        },
      };
 
    return (

        <>
            <div>
           234
            </div>
        </>
    )
}

const WrappedHeader = Form.create({ name: 'header' })(header);

export default WrappedHeader